#ifndef _CWWVD_FILEOPS_H_
#define _CWWVD_FILEOPS_H_

#include "cwwvd.h"

// -------------------------------------------------------------------------

// read the first line of the file and attempt to classify it
int file_is_raw(const char *filename);

// read .raw disk image from file and process it a track at a time
int read_raw_file(const char *filename, svh_disk_t *disk);

// dump out raw data samples to a file, along with an index
int write_raw_file(const char *filename, svh_disk_t *disk);

// -------------------------------------------------------------------------

// read the first line of the file and attempt to classify it
int file_is_byt(const char *filename);

// read the specified file and dump it into the disk data structure.
// return 0 if OK.
int read_byt_file(const char *filename, svh_disk_t *disk);

// dump .byt disk image
// return 0 on success, !=0 on failure
int write_byt_file(const char *filename, svh_disk_t *disk);

// -------------------------------------------------------------------------

// save *disk as .wvd disk image
int write_wvd_file(const char *filename, svh_disk_t *disk);

#endif // _CWWVD_FILEOPS_H_
